{ config, lib, buildPythonPackage, pkgs, fetchPypi,... }:

let
  unstable = import <nixos-unstable> { };
in {

  services.emacs.package = pkgs.emacs-pgtk;

  environment.systemPackages = with pkgs; [
    gnumake
    go
    phpactor
    rustup
    shellcheck
    unstable.golangci-lint
    unstable.gopls

    (python311.withPackages
      (python-packages: with python-packages; [
        black
        diagrams
        pymemcache
        pyyaml
        requests
        ruff-lsp
      ])
    )

    mariadb-client
    musl

    dbeaver-bin
    emacs-pgtk
    gitAndTools.delta
    lazygit
    ltrace
    parallel
    sops
    tig

    openssl
    pkg-config
    nasm
    cmake
    zlib
    gcc
    binutils-unwrapped
  ];
}
